## org.apache.xalan.xsltc
Interface DOMCache

All Known Implementing Classes:
  DocumentCache, TransformerImpl

public interface DOMCache

Method Summary

`DOM`

`retrieveDocument(java.lang.String baseURI, java.lang.String href, Translet translet)`
This method is responsible for: (1) building the DOMImpl tree Parser _parser = new Parser(); DOMImpl _dom = new DOMImpl(); _parser.setDocumentHandler(_dom.getBuilder()); _parser.setDTDHandler(_dom.getBuilder()); _parser.parse(uri); (2) giving the translet an early opportunity to extract anything from the DOMImpl that it would like translet.documentPrepass(_dom); (3) setting the document URI: _dom.setDocumentURI(uri);

Method Detail

### retrieveDocument

    public DOM retrieveDocument(java.lang.String baseURI,
                                java.lang.String href,
                                Translet translet)

  This method is responsible for: (1) building the DOMImpl tree Parser _parser = new Parser(); DOMImpl _dom = new DOMImpl(); _parser.setDocumentHandler(_dom.getBuilder()); _parser.setDTDHandler(_dom.getBuilder()); _parser.parse(uri); (2) giving the translet an early opportunity to extract anything from the DOMImpl that it would like translet.documentPrepass(_dom); (3) setting the document URI: _dom.setDocumentURI(uri);
  Parameters:
    `baseURI` - The base URI used by the document call.
    `href` - The href argument passed to the document function.
    `translet` - A reference to the translet requesting the document

Copyright © 2006 Apache XML Project. All Rights Reserved.